<?php header('Content-type: text/html; charset=utf-8'); ?>
<?php
  /* STEP 1: LOAD RECORDS - Copy this PHP code block near the TOP of your page */

  // load viewer library
  $libraryPath = 'cmsAdmin/lib/viewer_functions.php';
  $dirsToCheck = array('/hsphere/local/home/thecmsbcookbook.com/','','../','../../','../../../');
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); }

  // load records
  list($vacation_rentalsRecords, $vacation_rentalsMetaData) = getRecords(array(
    'tableName'   => 'vacation_rentals',
  ));

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title></title>
  <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
  <style type="text/css">
    body          { font-family: arial; }
    .instructions { border: 3px solid #000; background-color: #EEE; padding: 10px; text-align: left; margin: 25px}
  </style>
 </head>
<body>

  <!-- INSTRUCTIONS -->
    <div class="instructions">
      <b>Sample List Viewer - Instructions:</b>
      <ol>
        <?php /*><li style="color: red; font-weight: bold">Rename this file to have a .php extension!</li><x */ ?>
        <li><b>Remove any fields you don't want displayed.</b> (Most list pages only have title and link fields.)</li>
        <li>Rearrange remaining fields to suit your needs.</li>
        <li>Copy and paste code into previously designed page (or add design to this page).</li>
      </ol>
    </div>
  <!-- /INSTRUCTIONS -->

  <!-- STEP2: Display Records (Paste this where you want your records to be listed) -->
    <h1>Vacation Rentals - List Page Viewer</h1>
    <?php foreach ($vacation_rentalsRecords as $record): ?>
      Record Number: <?php echo $record['num'] ?><br/>
      Property code: <?php echo $record['property_code'] ?><br/>
      City: <?php echo $record['City'] ?><br/>
      Bedroom: <?php echo $record['bedroom'] ?><br/>
      Bath: <?php echo $record['bath'] ?><br/>
      Availability Link: <?php echo $record['availabilitylink'] ?><br/>
      Weekly Price: <?php echo $record['weekly_price'] ?><br/>
      Monthly Price: <?php echo $record['monthly_price'] ?><br/>
      VIRTUAL TOUR: <?php echo $record['virtual_tour'] ?><br/>
      Special Category: <?php echo join(', ', getListLabels('vacation_rentals', 'special_category', $record['special_category'])); ?><br/>
      Amenities : <?php echo join(', ', getListLabels('vacation_rentals', 'amenities', $record['amenities'])); ?><br/>
      Kitchen Features: <?php echo join(', ', getListLabels('vacation_rentals', 'kitchen_features', $record['kitchen_features'])); ?><br/>
      Communications : <?php echo join(', ', getListLabels('vacation_rentals', 'communications', $record['communications'])); ?><br/>
      Entertainment : <?php echo join(', ', getListLabels('vacation_rentals', 'entertainment', $record['entertainment'])); ?><br/>
      Outdoor Features : <?php echo join(', ', getListLabels('vacation_rentals', 'outdoor_features', $record['outdoor_features'])); ?><br/>
      Bed types: <?php echo $record['bed_types'] ?><br/>
      View - required: <?php echo join(', ', getListLabels('vacation_rentals', 'view', $record['view'])); ?><br/>
      Fireplace # - required: <?php echo $record['fireplace'] ?><br/>
      Fireplace Location: <?php echo $record['fireplace_location'] ?><br/>
      Fireplace Type: <?php echo $record['fireplace_type'] ?><br/>
      Parking - required: <?php echo $record['parking'] ?><br/>
      Description: <?php echo $record['description'] ?><br/>
      FLIP KEY: <?php echo $record['flip_key'] ?><br/>
      _link : <a href="<?php echo $record['_link'] ?>"><?php echo $record['_link'] ?></a><br/>


      <!-- STEP 2a: Display Uploads for field 'photos' (Paste this anywhere inside STEP2 to display uploads) -->
        <!-- Upload Fields: num, createdTime, tableName, fieldName, recordNum, preSaveTempId, filePath, filename, extension, thumbFilePath, isImage, hasThumbnail, urlPath, width, height, thumbUrlPath, thumbWidth, thumbHeight, info1, info2, info3, info4, info5 -->
        <?php foreach ($record['photos'] as $upload): ?>
          <?php if ($upload['hasThumbnail']): ?>
            <img src="<?php echo $upload['thumbUrlPath'] ?>" width="<?php echo $upload['thumbWidth'] ?>" height="<?php echo $upload['thumbHeight'] ?>" alt="" /><br/>

          <?php elseif ($upload['isImage']): ?>
            <img src="<?php echo $upload['urlPath'] ?>" width="<?php echo $upload['width'] ?>" height="<?php echo $upload['height'] ?>" alt="" /><br/>

          <?php else: ?>
            <a href="<?php echo $upload['urlPath'] ?>">Download <?php echo $upload['filename'] ?></a><br/>

          <?php endif ?>
        <?php endforeach ?>
      <!-- STEP2a: /Display Uploads -->


      <hr/>
    <?php endforeach ?>

    <?php if (!$vacation_rentalsRecords): ?>
      No records were found!<br/><br/>
    <?php endif ?>
  <!-- /STEP2: Display Records -->

</body>
</html>